Package net.shibboleth.shared.testing

# Class InMemoryDirectory.CustomServerSocketFactory.CustomServerSocket

java.lang.Object
java.net.ServerSocket
net.shibboleth.shared.testing.InMemoryDirectory.CustomServerSocketFactory.CustomServerSocket

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  InMemoryDirectory.CustomServerSocketFactory

private class InMemoryDirectory.CustomServerSocketFactory.CustomServerSocket extends ServerSocket
ServerSocket wrapper class to track created sockets.

## Constructor Summary

Constructors
Constructor
Description
`CustomServerSocket(int port, int backlog, InetAddress bindAddr)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Socket`
`accept()`

### Methods inherited from class java.net.ServerSocket

`bind, bind, close, getChannel, getInetAddress, getLocalPort, getLocalSocketAddress, getOption, getReceiveBufferSize, getReuseAddress, getSoTimeout, implAccept, isBound, isClosed, setOption, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSocketFactory, setSoTimeout, supportedOptions, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CustomServerSocket

public CustomServerSocket(int port, int backlog, InetAddress bindAddr) throws IOException
Constructor.

Parameters:
  `port` - socket port
  `backlog` - listen backlog size
  `bindAddr` - socket address
Throws:
  `IOException` - on error

## Method Details

### accept

public Socket accept() throws IOException

Overrides:
  `accept` in class `ServerSocket`
Throws:
  `IOException`